- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRGraphicObjectOutputElement Class Reference
Inheritance diagram for libcdr::CDRGraphicObjectOutputElement:

## Public Member Functions
| CDRGraphicObjectOutputElement (const WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
virtual | ~CDRGraphicObjectOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual CDROutputElement * | clone ()
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes
WPXPropertyList | m_propList
WPXBinaryData | m_binaryData

## Constructor & Destructor Documentation

libcdr::CDRGraphicObjectOutputElement::CDRGraphicObjectOutputElement | ( | const WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

Referenced by clone().

virtual libcdr::CDRGraphicObjectOutputElement::~CDRGraphicObjectOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual CDROutputElement* libcdr::CDRGraphicObjectOutputElement::clone | ( |  | ) |
| inline virtual

Implements libcdr::CDROutputElement.

void libcdr::CDRGraphicObjectOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

WPXBinaryData libcdr::CDRGraphicObjectOutputElement::m_binaryData
| private

Referenced by clone().

WPXPropertyList libcdr::CDRGraphicObjectOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp